"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPinoBrowserWriteLog = void 0;

var _getPinoWriteLog = require("../core/getPinoWriteLog");

var _PrettyConsole = require("../core/PrettyConsole");

var _ConsoleLevel = require("../core/ConsoleLevel");

const getPinoBrowserWriteLog = (splunk, {
  onConsoleLog = _PrettyConsole.PrettyConsole.print
} = {}) => {
  return (0, _getPinoWriteLog.getPinoWriteLog)(splunk, {
    onSplunkLog: log => {
      const consoleLevel = (0, _ConsoleLevel.getConsoleLevelFromSplunkLog)(log);
      onConsoleLog(log, consoleLevel);
    }
  });
};

exports.getPinoBrowserWriteLog = getPinoBrowserWriteLog;