"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSplunkEventsStream = void 0;

var _split = _interopRequireDefault(require("split2"));

var _pumpify = _interopRequireDefault(require("pumpify"));

var _through = _interopRequireDefault(require("through2"));

var _getPinoWriteLog = require("../core/getPinoWriteLog");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createSplunkEventsStream = splunk => {
  const log = (0, _getPinoWriteLog.getPinoWriteLog)(splunk);
  const writeStream = new _pumpify.default((0, _split.default)(line => {
    try {
      return JSON.parse(line);
    } catch (e) {
      return undefined;
    }
  }), _through.default.obj((chunk, _enc, next) => {
    log(chunk);
    next();
  }));
  writeStream.on('error', error => {
    console.error('[pino-splunk-events] Write stream error:', error);
  });
  return writeStream;
};

exports.createSplunkEventsStream = createSplunkEventsStream;